<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta2/css/all.min.css"
        integrity="sha512-YWzhKL2whUzgiheMoBFwW8CKV4qpHQAEuvilg9FAn5VJUDwKZZxkJNuGM4XkWuk94WCrrwslk8yWNGmY1EduTA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="style.css">
    <title>Rubrica</title>
</head>

<body>
    <h1 class="text-center">La mia Rubrica</h1>
    <div class="container">
        <!-- <button type="button" class="btn btn-primary" id="liveToastBtn">Show live toast</button> -->
        <div class="position-fixed bottom-0 end-0 p-3" style="z-index: 11">
          <div id="errorToast" role="alert" aria-live="assertive" aria-atomic="true">
            <div class="toast-header">
              <strong id="error-header" class="me-auto">
                  
              </strong>
              <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
            </div>
            <div id="error-message" class="toast-body">
                
            </div>
          </div>
        </div>

        <div class="row border p-1 mb-2">
            <h3 class="text-center">Ricerca</h3>
            <div class="col-2">
                <i class="fas fa-search fa-3x"></i>
            </div>
            <div class="col-10">
                <div class="form-floating">
                    <input type="text" class="form-control form-control-sm" id="search-contact" placeholder="Nome">
                    <label for="search">Nome</label>
                </div>
            </div>
            <!-- <div class="col-2">
                <button class="btn btn-primary h-100">Cerca</button>
            </div> -->
            <div class="row">
                <div id="search-wrapper"></div>
            </div>
        </div>
        <div class="row border p-1 mb-2">
            <h3 class="text-center">Elimina</h3>
            <div class="col-9">
                <div class="form-floating">
                    <input type="text" class="form-control form-control-sm" id="delete-search-contact" placeholder="Nome">
                    <label for="delete-search-contact">Nome</label>
                </div>
            </div>
            <div class="col-3">
                <button id="delete-contact" class="btn btn-danger">
                    <i class="fas fa-trash fa-3x"></i>
                </button>
            </div>
            <!-- <div class="col-2">
                <button class="btn btn-primary h-100">Cerca</button>
            </div> -->
        </div>
        <div class="row">
            <div id="search-wrapper"></div>
        </div>
        <div class="row mt-3">
            <div class="col-4">
                <h3>Lista</h3>
            </div>
            <div class="col-4">
                <button id="show-contacts" class="btn btn-primary">Visualizza</button>
            </div>
            <div class="col-4">
                <button id="hide-contacts" class="btn btn-warning" disabled>Nascondi</button>
            </div>
        </div>
        <div class="row">
            <div class="col-3">
                <div>
                    <h4 class="mt-3">Inserisci contatto</h4>
                    <div class="form-floating mt-1">
                        <input type="text" class="form-control form-control-sm" id="nome-insert" placeholder="Nome">
                        <label for="nome-insert">Nome</label>
                    </div>
                    <div class="form-floating mt-1">
                        <input type="text" class="form-control form-control-sm" id="telefono-insert" placeholder="Nome">
                        <label for="telefono-insert">Telefono</label>
                    </div>
                    <button id="insert-contact" class="btn btn-success w-100 mt-1">
                        <div class="d-flex justify-content-around align-items-center">
                            <i class="fas fa-address-book fa-2x"></i>
                            <span>Inserisci</span>
                        </div>
                    </button>
                </div>
                <div>
                    <h4 class="mt-3">Modifica contatto</h4>
                    <input type="hidden" id="hidden-contact">
                    <div class="form-floating mt-1">
                        <input disabled type="text" class="form-control form-control-sm" id="nome-edit" placeholder="Nome">
                        <label for="nome-edit">Nome</label>
                    </div>
                    <div class="form-floating mt-1">
                        <input disabled type="text" class="form-control form-control-sm" id="telefono-edit" placeholder="Nome">
                        <label for="telefono-edit">Telefono</label>
                    </div>
                    <button id="edit-contact" disabled class="btn btn-warning w-100 mt-1">
                        <div class="d-flex justify-content-around align-items-center">
                            <i class="fas fa-edit fa-2x"></i>
                            <span>Modifica</span>
                        </div>
                    </button>
                </div>
            </div>
            <div id="contacts-wrapper" class="col-9 d-flex flex-wrap justify-content-center align-content-center">
            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
        crossorigin="anonymous"></script>
    <script src="main.js"></script>
</body>

</html>